## sbox-dtc 1.07

=== Makefile ===
# Makefile for sbox.
# 1. Change the definition of CGI_DIRECTORY to point to your site-wide
#    cgi-bin directory
# 2. Review the INSTALL_OPTS definitions if you need to (will install
#    sbox SUID to root)
# 3. Change CFLAGS and CC definitions if you need to.
# 4. "make"
# 5. "make install"
VERSION= 1.07

CC = gcc
#CC = cc

COPTS = -O -g
#COPTS = -g -DDEBUG
#COPTS = -W -Wall -ansi -pedantic

STATIC_FLAG = -static

INSTALL_OPTS = -o root -g bin -m 4111 -s
INSTALL_DIRECTORY = $(DESTDIR)/usr/lib/cgi-bin
#INSTALL_DIRECTORY = /usr/local/www/cgi-bin

CFLAGS = $(COPTS) -DVERSION=$(VERSION)
INSTALL = install
LYNX    = lynx
PURIFY  = purify -chain-length="10" cc -g 

default: sbox

all: sbox env

sbox: sbox.o
	$(CC) $(LDOPTS) -o sbox sbox.o
	strip sbox
	strip -R .comment -R .note sbox
	chmod 4711 sbox

sbox.o: sbox.c sbox.h Makefile

sbox_pure: sbox.o
	$(PURIFY) -o $@ sbox.o

env: env.o
	$(CC) $(STATIC_FLAG) -o env env.o

README.txt: README.html
	$(LYNX) -nolist -underscore -dump $< > $@

clean:
	rm -rf *.o core sbox env *~ CVS_sbox* *.tar.gz  build debian/tmp debian/substvars debian/files configure-stamp build-stamp
#        @-echo "OK, clean :)"

install: sbox
	mkdir -p $(INSTALL_DIRECTORY)
	$(INSTALL) $(INSTALL_OPTS) sbox $(INSTALL_DIRECTORY)

dist:	README.txt sbox.h sbox.c env.c Makefile
	-mkdir sbox-$(VERSION)
	cp README.html README.txt sbox.h sbox.c env.c Makefile sbox-$(VERSION)
	tar cvf - sbox-$(VERSION) | gzip -9c > sbox-$(VERSION).tgz
	rm -rf sbox-$(VERSION)

## sbox-dtc 1.11

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # 3. Change CFLAGS and CC definitions if you need to.
 # 4. "make"
 # 5. "make install"
-VERSION= 1.07
+VERSION= 1.11
 
 CC = gcc
 #CC = cc
@@ -26,14 +26,16 @@
 LYNX    = lynx
 PURIFY  = purify -chain-length="10" cc -g 
 
+LIBS = -ldotconf
+
 default: sbox
 
 all: sbox env
 
 sbox: sbox.o
-	$(CC) $(LDOPTS) -o sbox sbox.o
-	strip sbox
-	strip -R .comment -R .note sbox
+	$(CC) -Wall $(LIBS) $(LDOPTS) -o sbox sbox.o
+#	strip sbox
+#	strip -R .comment -R .note sbox
 	chmod 4711 sbox
 
 sbox.o: sbox.c sbox.h Makefile

## sbox-dtc 1.11.1

=== Makefile ===
--- 
+++ 
@@ -6,19 +6,21 @@
 # 3. Change CFLAGS and CC definitions if you need to.
 # 4. "make"
 # 5. "make install"
-VERSION= 1.11
+VERSION=1.11
 
-CC = gcc
-#CC = cc
+CC=gcc
 
-COPTS = -O -g
+COPTS= -O -g
 #COPTS = -g -DDEBUG
 #COPTS = -W -Wall -ansi -pedantic
 
-STATIC_FLAG = -static
+STATIC_FLAG=-static
 
-INSTALL_OPTS = -o root -g bin -m 4111 -s
-INSTALL_DIRECTORY = $(DESTDIR)/usr/lib/cgi-bin
+INSTALL_OPTS?= -o root -g bin -m 4111 -s
+INSTALL_TARGET_DIR?=/usr/lib/cgi-bin
+SYSCONFIG_DIR?=/etc
+INSTALL_MY_SYSCONF_DIR=$(DESTDIR)$(SYSCONFIG_DIR)
+INSTALL_DIRECTORY=$(DESTDIR)$(INSTALL_TARGET_DIR)
 #INSTALL_DIRECTORY = /usr/local/www/cgi-bin
 
 CFLAGS = $(COPTS) -DVERSION=$(VERSION)
@@ -56,9 +58,19 @@
 install: sbox
 	mkdir -p $(INSTALL_DIRECTORY)
 	$(INSTALL) $(INSTALL_OPTS) sbox $(INSTALL_DIRECTORY)
+	$(INSTALL) -D -m 0644 sbox.conf $(INSTALL_MY_SYSCONF_DIR)/sbox.conf
 
 dist:	README.txt sbox.h sbox.c env.c Makefile
 	-mkdir sbox-$(VERSION)
 	cp README.html README.txt sbox.h sbox.c env.c Makefile sbox-$(VERSION)
 	tar cvf - sbox-$(VERSION) | gzip -9c > sbox-$(VERSION).tgz
 	rm -rf sbox-$(VERSION)
+
+deb:
+	if [ -z $(SIGN)"" ] ; then \
+		./deb ; \
+	else \
+		./deb --sign ; \
+	fi
+
+.PHONY: clean install rpm dist deb

## sbox-dtc 1.11.6

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,8 @@
 INSTALL_OPTS?= -o root -g bin -m 4111 -s
 INSTALL_TARGET_DIR?=/usr/lib/cgi-bin
 SYSCONFIG_DIR?=/etc
-INSTALL_MY_SYSCONF_DIR=$(DESTDIR)$(SYSCONFIG_DIR)
+INSTALL_MY_SYSCONF_DIR=$(DESTDIR)$(SYSCONFIG_DIR)/sbox
 INSTALL_DIRECTORY=$(DESTDIR)$(INSTALL_TARGET_DIR)
-#INSTALL_DIRECTORY = /usr/local/www/cgi-bin
 
 CFLAGS = $(COPTS) -DVERSION=$(VERSION)
 INSTALL = install
@@ -35,7 +34,7 @@
 all: sbox env
 
 sbox: sbox.o
-	$(CC) -Wall $(LIBS) $(LDOPTS) -o sbox sbox.o
+	$(CC) -Wall $(LDOPTS) -o sbox sbox.o $(LIBS)
 #	strip sbox
 #	strip -R .comment -R .note sbox
 	chmod 4711 sbox

=== bsd/Makefile ===
# Ports collection makefile for:        dtc
# Date created:                 12 January 2005
# Whom:                         Thomas Goirand (thomas [ at ] goirand.fr)
#
# $FreeBSD$
#

PORTNAME=	sbox-dtc
PORTVERSION=	1.07.1
CATEGORIES=	www
MASTER_SITES=	ftp://ftp.gplhost.com/pub/sbox-dtc/bsd/

MAINTAINER=	thomas@goirand.fr
COMMENT=	A CGI wrapper for Web site hosting services to safely grant CGI
RUN_DEPENDS=	${LOCALBASE}/sbin/httpd:${PORTSDIR}/${APACHE_PORT}

PLIST_FILES=	www/cgi-bin/sbox

USE_APACHE=     yes
CFLAGS+=        -DWEB_GROUP='\"nobody\"'
MAKE_ARGS=      CC="${CC}" COPTS="${CFLAGS}" \
                INSTALL_DIRECTORY=${PREFIX}/www/cgi-bin

.if defined(WITH_APACHE2)
IGNORE=		Untested
.endif

.include <bsd.port.mk>

## sbox-dtc 1.11.7

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 INSTALL_MY_SYSCONF_DIR=$(DESTDIR)$(SYSCONFIG_DIR)/sbox
 INSTALL_DIRECTORY=$(DESTDIR)$(INSTALL_TARGET_DIR)
 
-CFLAGS = $(COPTS) -DVERSION=$(VERSION)
+CFLAGS += $(COPTS) -DVERSION=$(VERSION)
 INSTALL = install
 LYNX    = lynx
 PURIFY  = purify -chain-length="10" cc -g 
@@ -34,7 +34,7 @@
 all: sbox env
 
 sbox: sbox.o
-	$(CC) -Wall $(LDOPTS) -o sbox sbox.o $(LIBS)
+	$(CC) -Wall $(LDFLAGS) $(LDOPTS) -o sbox sbox.o $(LIBS)
 #	strip sbox
 #	strip -R .comment -R .note sbox
 	chmod 4711 sbox

=== bsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Ports collection makefile for:        dtc
+# Ports collection makefile for:        sbox-dtc
 # Date created:                 12 January 2005
 # Whom:                         Thomas Goirand (thomas [ at ] goirand.fr)
 #
@@ -6,9 +6,17 @@
 #
 
 PORTNAME=	sbox-dtc
-PORTVERSION=	1.07.1
+PORTVERSION=	1.11.6
 CATEGORIES=	www
-MASTER_SITES=	ftp://ftp.gplhost.com/pub/sbox-dtc/bsd/
+MASTER_SITES=	ftp://ftp.gplhost.sg/pub/sbox/bsd/ \
+		ftp://qala-sg.apt-proxy.gplhost.sg/pub/sbox/bsd/ \
+		ftp://601.apt-proxy.gplhost.com/pub/sbox/bsd/ \
+		ftp://seattle.apt-proxy.gplhost.com/pub/sbox/bsd/ \
+		ftp://ftp.gplhost.com/pub/sbox/bsd/ \
+		ftp://ftp.gplhost.co.uk/pub/sbox/bsd/ \
+		ftp://ftp.gplhost.fr/pub/sbox/bsd/ \
+		ftp://972.apt-proxy.gplhost.com/pub/sbox/bsd/ \
+		http://ftp.gplhost.fr/pub/sbox/bsd/
 
 MAINTAINER=	thomas@goirand.fr
 COMMENT=	A CGI wrapper for Web site hosting services to safely grant CGI

=== debian/changelog ===
sbox-dtc (1.11.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007525).
  * Drop non-existing Homepage and Vcs fields.
  * d/copyright: Change paragraph order to properly match the wildcards.
  * d/watch: Drop (non-existing).

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 11:47:54 +0100

sbox-dtc (1.11.7-1) unstable; urgency=medium

  * Fixed homepage field (Closes: #655490).
  * Rotates sbox log daily, as it might stop working if the log file is
  bigger than the sbox setlimits().
  * Switched debian/copyright to machine readable format 1.0.
  * Bumps Standards-Version to 3.9.3 (no change).
  * Using MAXPATHLEN instead of MAXPATH, so that it may build in hurd.
  * Using hardening flags.
  * Using debhelper and compat level 9.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Dec 2013 15:02:53 +0800

sbox-dtc (1.11.6-1) unstable; urgency=low

  * New upstream version:
    - Repairs the PATH_TRANSLATED and PATH_INFO variables in the case of a
    PATH_INFO environment variable being present. Now all PHP scripts should
    be working as expected.
  * Removed libdotconf1.0 dependency that is anyway managed by dh_shlibs.
  * Removed -M flag to useradd since it's crashing the postinst.
  * Using dh_prep instead of dh_clean -k.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2011 17:10:45 +0800

sbox-dtc (1.11.5-1) unstable; urgency=low

  * New upstream version:
    - Repairs the DOCUMENT_ROOT, SCRIPT_NAME and as a consequence PHP_SELF
    when doing a chroot.

 -- Thomas Goirand <zigo@debian.org>  Sun, 04 Sep 2011 15:08:53 +0800

sbox-dtc (1.11.4-2) unstable; urgency=low

  * Using -r when doing groupadd / useradd (Closes: #633602).
  * Logrotate now recreating users with dtc / dtcgrp (Closes: #633603).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2011 10:29:51 +0800

sbox-dtc (1.11.4-1) unstable; urgency=low

  * Make sure that /etc/sbox/vhosts.d is owned by the webserver user and group.
  * debian/copyright is now using DEP5 format.
  * Updated watch file target URL.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Jun 2011 20:05:10 +0800

sbox-dtc (1.11.3-1) unstable; urgency=low

  * New upstream version with the following improvements:
    - Now using /etc/sbox/vhosts.d as a HTTP_HOST specific configuration folder
    (each vhost can have its specific configuration file with customization).
    - Removed the use of Apache envvars which aren't safe (easy to hack).
    - Each vhost can have a different interpreter for both Perl, PHP, Python
    or Ruby, thanks to new sbox directives.
  * Not modifying conf files in postinst (Closes: #607878).
  * Fix FTBFS with ld --as-needed (Closes: #606212).
  * Added few documentation files that were missing from packaging.
  * Creates the new /etc/sbox/vhosts.d folder.
  * Bumped Standard-Version to 3.9.2.
  * Removed now useless DM-Upload-Allowed field.
  * A better short and long description.
  * Added build-arch and build-indep rules.
  * Sets the debconf question priority to low.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jun 2011 20:32:12 +0800

sbox-dtc (1.11.2-4) unstable; urgency=low

  * Fixed the postinst that was manipulating the wrong /etc/logrotate.d
    file (Closes: #606603).

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Dec 2010 23:11:11 +0800

sbox-dtc (1.11.2-3) unstable; urgency=low

  * Uses useradd -M instead -m. eg: do not create home dir for the sbox-dtc
    user (Closes: #605980).
  * Deletes /etc/sbox.conf and /var/log/sbox.log in the postrm script when
    purging package.
  * Added a logrotate weekly script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Dec 2010 00:03:43 +0800

sbox-dtc (1.11.2-2) unstable; urgency=low

  * Now using my @debian email address as maintainer.
  * Sets the SUID bit, chown sbox to root.root (Closse: #605868).
  * Added Danish debconf translation, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #583972).

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Dec 2010 16:47:31 +0800

sbox-dtc (1.11.2-1) unstable; urgency=low

  * Bumped Standard-Version
  * Changed correm into corre in the debian/po/pt.po as advised by the
    translator Américo Monteiro <a_monteiro@netcabo.pt>.
  * Updated Spanish debconf template, thanks to Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #561219).
  * Updated the watch file.
  * Added Vcs-Browser, Vcs-Git, Homepage and Dm-Upload-Allowed field.
  * Changed Priority from optional to extra.

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 19 May 2010 17:29:11 +0800

sbox-dtc (1.11.1-1) unstable; urgency=low

  * New upstream release.
  * In debconf message, "apache2" instead of "apache or apache2" as suggested
    in the BTS (Closes: #550631). Also updated the translations, as it seemed
    pretty strait forward. Will send a warning to all translator to check if
    my changes are ok after this version is in SID.
  * Added Russian debconf translation thanks to Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #549175).
  * Added Japanese debconf translation, thanks to Hideki Yamane (Debian-JP)
    <henrich@debian.or.jp> (Closes: #548653).
  * Added Spanish debconf translation thankd to Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #511916).
  * A bit of package cleanups:
    - Bumped the debian/compat and debhelper depends to 5.
    - Bumped standard-version.
    - Added ${misc:Depends} in the binary depends.
    - Removed duplicate priority and section fields in the binary package
    description of debian/control.

 -- Thomas Goirand <thomas@goirand.fr>  Fri, 11 Dec 2009 13:04:59 +0800

sbox-dtc (1.11-5) unstable; urgency=low

  * Added a missing || true for the db_input call in the debian/config script.

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 22 Oct 2008 04:52:30 +0800

sbox-dtc (1.11-4) unstable; urgency=low

  * Added Debconf template translation to Swedish, thanks to Martin Bagge
    <brother@bsnet.se> (Closes: #500125).


=== debian/control ===
Source: sbox-dtc
Section: web
Priority: extra
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), libapr1-dev, libdotconf-dev, po-debconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4

Package: sbox-dtc
Architecture: any
Depends: ${misc:Depends}, debconf, passwd, ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Description: CGI chroot wrapper script for safer hosting environment
 Sbox is a CGI wrapper script that helps Web site hosting services to safely
 grant CGI authoring privileges to untrusted clients. In addition to changing
 the process privileges of client scripts to match their owners, it goes beyond
 other wrappers by placing configurable ceilings on script resource usage,
 avoiding unintentional (as well as intentional) denial of service attacks. It
 also optionally let the Webmaster to place client's CGI scripts in a chroot'ed
 shell restricted to the author's home directories.
 .
 Thanks to a cleaver per-vhost configuration, SBOX is also capable of being
 highly customizable on a per web site level. SBOX also runs Ruby, Perl, Python
 and PHP script using their respective interpreter, with a configurable path
 for each of them.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	$(MAKE) sbox
	$(MAKE) env
	install -D -m 4755 sbox debian/sbox-dtc/usr/lib/cgi-bin/sbox
	install -D -m 0755 env debian/sbox-dtc/usr/share/doc/sbox-dtc/examples/env
	install -D -m 0644 debian/lintian/sbox-dtc debian/sbox-dtc/usr/share/lintian/overrides/sbox-dtc
	install -D -m 0644 sbox.conf debian/sbox-dtc/etc/sbox/sbox.conf
	mkdir -p debian/sbox-dtc/etc/sbox/vhosts.d

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installlogrotate
	dh_install
	dh_installdirs
	dh_installdebconf
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
